Package org.eclipse.m2m.atl.emftvm.util

## Class ModuleNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.m2m.atl.emftvm.util.ModuleNotFoundException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ModuleNotFoundException
    extends java.lang.RuntimeException

Module not found.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ModuleNotFoundException()` Creates a new `ModuleNotFoundException`.
`ModuleNotFoundException​(java.lang.String message)` Creates a new `ModuleNotFoundException`.
`ModuleNotFoundException​(java.lang.String message, java.lang.Throwable cause)` Creates a new `ModuleNotFoundException`.
`ModuleNotFoundException​(java.lang.Throwable cause)` Creates a new `ModuleNotFoundException`.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ModuleNotFoundException

    public ModuleNotFoundException()

Creates a new `ModuleNotFoundException`.

#### ModuleNotFoundException

    public ModuleNotFoundException​(java.lang.String message,
                                   java.lang.Throwable cause)

Creates a new `ModuleNotFoundException`.

Parameters:
  `message` - the error message
  `cause` - the nested exception

#### ModuleNotFoundException

    public ModuleNotFoundException​(java.lang.String message)

Creates a new `ModuleNotFoundException`.

Parameters:
  `message` - the error message

#### ModuleNotFoundException

    public ModuleNotFoundException​(java.lang.Throwable cause)

Creates a new `ModuleNotFoundException`.

Parameters:
  `cause` - the nested exception